org.wildfly.swarm.config.jgroups.channel

## Class Fork<T extends Fork<T>>

- java.lang.Object
- - org.wildfly.swarm.config.jgroups.channel.Fork<T>

-     public class Fork<T extends Fork<T>>
      extends Object

  A JGroups channel fork

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Fork.ForkResources` Child mutators for Fork

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Fork(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `protocol(Protocol value)` Add the Protocol object to the list of subresources
    `T` | `protocol(ProtocolSupplier supplier)` Install a supplied Protocol object to the list of subresources
    `T` | `protocol(String childKey)` Create and configure a Protocol object to the list of subresources
    `T` | `protocol(String childKey, ProtocolConsumer consumer)` Create and configure a Protocol object to the list of subresources
    `T` | `protocols(List<Protocol> value)` Add all Protocol objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Fork.ForkResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Fork

          public Fork(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Fork.ForkResources subresources()

    - #### protocols

          public T protocols(List<Protocol> value)

      Add all Protocol objects to this subresource
      Parameters:
        `value` - List of Protocol objects.
      Returns:
        this

    - #### protocol

          public T protocol(Protocol value)

      Add the Protocol object to the list of subresources
      Parameters:
        `value` - The Protocol to add
      Returns:
        this

    - #### protocol

          public T protocol(String childKey,
                            ProtocolConsumer consumer)

      Create and configure a Protocol object to the list of subresources
      Parameters:
        `key` - The key for the Protocol resource
        `config` - The ProtocolConsumer to use
      Returns:
        this

    - #### protocol

          public T protocol(String childKey)

      Create and configure a Protocol object to the list of subresources
      Parameters:
        `key` - The key for the Protocol resource
      Returns:
        this

    - #### protocol

          public T protocol(ProtocolSupplier supplier)

      Install a supplied Protocol object to the list of subresources

Copyright © 2018 JBoss by Red Hat. All rights reserved.